Bug 1578659 (CVE-2018-10958) - CVE-2018-10958 exiv2: SIGABRT caused by memory allocation in types.cpp:Exiv2::Internal::PngChunk::zlibUncompress()
Summary: CVE-2018-10958 exiv2: SIGABRT caused by memory allocation in types.cpp:Exiv2:...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-10958
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1578660 1578661 1582308 1582309
Blocks: 1578662 1579499
TreeView+ depends on / blocked
 
Reported: 2018-05-16 06:13 UTC by Sam Fowler
Modified: 2019-09-29 14:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 19:18:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2101 None None None 2019-08-06 12:14:36 UTC

Description Sam Fowler 2018-05-16 06:13:43 UTC
In types.cpp in Exiv2 0.26, a large size value may lead to a SIGABRT during an attempt at memory allocation for an Exiv2::Internal::PngChunk::zlibUncompress call.


Upstream Issue:

https://github.com/Exiv2/exiv2/issues/302

Comment 1 Sam Fowler 2018-05-16 06:14:07 UTC
Created exiv2 tracking bugs for this issue:

Affects: fedora-all [bug 1578661]

Comment 3 Pedro Yóssis Silva Barbosa 2018-05-24 20:20:25 UTC
Upstream patch:

https://github.com/Exiv2/exiv2/pull/316/files

For RHEL 6 and 7 the code parts are in src/pngimage.cpp (not in src/pngchunk_int.cpp).

Comment 5 Pedro Yóssis Silva Barbosa 2018-05-24 20:23:34 UTC
*** Bug 1579488 has been marked as a duplicate of this bug. ***

Comment 6 errata-xmlrpc 2019-08-06 12:14:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2101 https://access.redhat.com/errata/RHSA-2019:2101

Comment 7 Product Security DevOps Team 2019-08-06 19:18:46 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-10958


Note You need to log in before you can comment on or make changes to this bug.